This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 65208 - gdm_slave_child_handler: 1897 died of 11
gdm_slave_child_handler: 1897 died of 11
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-20 06:53 EDT by Mark Oakley
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-12 21:14:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Oakley 2002-05-20 06:53:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0)

Description of problem:
Using Reflection software on my desktop PC and attempt to connect to a brand 
new 7.3 system. Fails to setup a session

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Fire up Reflection on PC
2.
3.
	

Actual Results:  No Connection. Reflection's log says:-

May 20 11:17:03: Starting server 'C:\Program Files\Reflection\rx.exe' (RX271)
May 20 11:17:03: Server startup command line parameters: '-c "C:\Program 
Files\Reflection\User\olympicdns.rxc" -s "config"' (RX280)
May 20 11:17:05: << Executable Information >> (RX2002)
May 20 11:17:05: Program name:               Reflection X for Windows NT 
(RX2003)
May 20 11:17:05: Program version:            Version 7.00 (RX2004)
May 20 11:17:05: Program UPI:                SNGL-0700-333333333 (RX2005)
May 20 11:17:05: Program creation date:      19:36:32 Jun 01 1998 (RX2006)
May 20 11:17:07: << System and Network Information >> (RX2008)
May 20 11:17:07: System CPU:                 Pentium processor (RX2009)
May 20 11:17:07: System OS:                  Windows NT Version 4.0 (build 
1381: Service Pack 6) (RX2010)
May 20 11:17:07: Current display driver:     s3trio3d Version 4.0.0  (RX2011)
May 20 11:17:07: Current screen resolution:  1024 x 768 (RX2012)
May 20 11:17:07: Current screen pixel depth: 16 (RX2013)
May 20 11:17:07: Current TCP/IP stack:       WinSock 2.0 (RX2014)
May 20 11:17:07: Available transports:       TCP/IP    LOOPBACK     (RX2015)
May 20 11:17:07: Local IP address:           1.1.32.76 (RX2016)
May 20 11:17:07: Local DECNET node:          Not applicable (RX2017)
May 20 11:17:07: Maximum sockets available:  64 (RX2018)
May 20 11:17:09: Resetting server: generation 2 (RX2001)

Expected Results:  Should have seen the RedHat greeter window.

Additional info:
Turned on the debug option in gdm.conf and the following is written to
/var/log/messages:-

May 20 11:16:59 olympicdns gdm[21949]: gdm_xdmcp_handle_query: Opcode 2 from 
1.1.32.76
May 20 11:16:59 olympicdns gdm[21949]: gdm_xdmcp_send_willing: Sending WILLING 
to 1.1.32.76
May 20 11:17:00 olympicdns gdm[21949]: gdm_xdmcp_decode: Received opcode 
REQUEST from client 1.1.32.76
May 20 11:17:00 olympicdns gdm[21949]: gdm_xdmcp_handle_request: Got REQUEST 
from 1.1.32.76
May 20 11:17:00 olympicdns gdm[21949]: gdm_xdmcp_handle_request: pending=0, 
MaxPending=4, sessions=0, MaxSessions=16
May 20 11:17:00 olympicdns gdm[21949]: gdm_xdmcp_display_dispose_check 
(mark.cis.co.uk:0)
May 20 11:17:00 olympicdns gdm[21949]: gdm_auth_secure_display: Setting up 
access for mark.cis.co.uk:0
May 20 11:17:00 olympicdns gdm[21949]: gdm_auth_secure_display: Setting up 
network access
May 20 11:17:00 olympicdns gdm[21949]: gdm_auth_secure_display: Setting up 
access for mark.cis.co.uk:0 - 1 entries
May 20 11:17:00 olympicdns gdm[21949]: gdm_xdmcp_display_alloc: 
display=mark.cis.co.uk:0, session id=1021889705, pending=1
May 20 11:17:00 olympicdns gdm[21949]: gdm_xdmcp_send_accept: Sending ACCEPT to 
1.1.32.76 with SessionID=1021889705
May 20 11:17:00 olympicdns gdm[21949]: gdm_xdmcp_decode: Received opcode MANAGE 
from client 1.1.32.76
May 20 11:17:00 olympicdns gdm[21949]: gdm_xdmcp_handle_manage: Got MANAGE from 
1.1.32.76
May 20 11:17:00 olympicdns gdm[21949]: gdm_xdmcp_handle_manage: Got Display=0, 
SessionID=1021889705 from 1.1.32.76
May 20 11:17:00 olympicdns gdm[21949]: gdm_xdmcp_handle_manage: Looked up 
mark.cis.co.uk:0
May 20 11:17:00 olympicdns gdm[21949]: gdm_display_manage: Managing 
mark.cis.co.uk:0
May 20 11:17:00 olympicdns gdm[21949]: Resetting counts for loop of death 
detection
May 20 11:17:00 olympicdns gdm[21949]: gdm_display_manage: Forked slave: 1894
May 20 11:17:00 olympicdns gdm[1894]: gdm_slave_start: Starting slave process 
for mark.cis.co.uk:0
May 20 11:17:00 olympicdns gdm[1894]: gdm_slave_start: Loop Thingie
May 20 11:17:00 olympicdns gdm[1894]: gdm_slave_run: Opening display 
mark.cis.co.uk:0
May 20 11:17:00 olympicdns gdm[1894]: gdm_slave_greeter: Running greeter on 
mark.cis.co.uk:0
May 20 11:17:00 olympicdns gdm[1894]: gdm_slave_child_handler
May 20 11:17:00 olympicdns gdm[1894]: gdm_slave_greeter: Greeter on pid 1897
May 20 11:17:00 olympicdns gdm[1894]: Sending GREETPID == 1897 for slave 1894
May 20 11:17:00 olympicdns gdm[21949]: Handeling message: 'GREETPID 1894 1897'
May 20 11:17:00 olympicdns gdm[21949]: Got GREETPID == 1897
May 20 11:17:00 olympicdns gdm[1894]: gdm_slave_usr2_handler: mark.cis.co.uk:0 
got USR2 signal
May 20 11:17:01 olympicdns gdm[1894]: gdm_slave_child_handler
May 20 11:17:01 olympicdns gdm[1894]: gdm_slave_child_handler: 1897 died
May 20 11:17:01 olympicdns gdm[1894]: gdm_slave_child_handler: 1897 died of 11
May 20 11:17:01 olympicdns gdm[21949]: mainloop_sig_callback: Got signal 17
May 20 11:17:01 olympicdns gdm[21949]: gdm_cleanup_children: child 1894 
returned 2
May 20 11:17:01 olympicdns gdm[21949]: gdm_child_action: Slave process returned 
2
May 20 11:17:01 olympicdns gdm[21949]: gdm_display_unmanage: Stopping 
mark.cis.co.uk:0 (slave pid: 0)
May 20 11:17:01 olympicdns gdm[21949]: gdm_display_dispose: Disposing 
mark.cis.co.uk:0
May 20 11:17:01 olympicdns gdm[21949]: main: Exited main loop
Comment 1 Havoc Pennington 2003-01-12 21:14:03 EST
Moved to http://bugzilla.gnome.org/show_bug.cgi?id=103252

Note You need to log in before you can comment on or make changes to this bug.